Subject: Re: [PATCH 00/16] media: sun6i-csi/isp MC-centric support and cleanups

From: Paul Kocialkowski <[email-masked]>
Date: Mon, 18 May 2026 16:08:50 +0200

Hi Laurent,

Le Mon 18 May 26, 14:15, Laurent Pinchart a écrit :
> On Mon, May 18, 2026 at 12:24:35PM +0200, Paul Kocialkowski wrote:
> > This series first introduces some fixes and new formats to v4l2 format
> > info, one of which we need for the sun6i-csi driver. Support for
> > MC-centric format enumeration is then added, along with cleanups and
> > improvements for both the sun6i-csi and sun6i-isp drivers.
> > 
> > The first 4 patches are already reviewed and ready to go and are
> > included here as a reminder that this series depends on them.
> 
> Patch 04/16 has no R-b tag.

Oops you're right, I added the tag in my reply to the patch yesterday
but did not add it when resending it with this series.

All the best,

Paul

> > Arash Golgol (4):
> >   media: sun6i-csi: bridge: Use V4L2 subdev active state
> >   media: sun6i-csi: capture: Implement vidioc_enum_framesizes
> >   media: sun6i-mipi-csi2: Use V4L2 subdev active state
> >   media: sun8i-a83t-mipi-csi2: Use V4L2 subdev active state
> > 
> > Paul Kocialkowski (12):
> >   media: v4l2-common: Fix NV15_4L4 format info block height
> >   media: v4l2-common: Add missing tiled format info block sizes
> >   media: v4l2-common: Add NV12_16L16 pixel format to v4l2 format info
> >   media: v4l2-common: Add NV12_32L32 pixel format to v4l2 format info
> >   media: sun6i-csi: Split format validation to a dedicated helper
> >   media: sun6i-csi: Add support for MC-centric format enumeration
> >   media: sun6i-csi: Tidy up and unify coding style
> >   media: sun6i-mipi-csi2: Fix parenthesis alignment
> >   media: sun6i-isp: Add dummy params link_validate implementation
> >   media: sun6i-isp: Use V4L2 subdev active state
> >   media: sun6i-isp: Add support for MC-centric format enumeration
> >   media: sun6i-isp: Add support for frame size enumeration
> > 
> >  .../sunxi/sun6i-csi/sun6i_csi_bridge.c        | 153 +++++++---------
> >  .../sunxi/sun6i-csi/sun6i_csi_bridge.h        |   9 -
> >  .../sunxi/sun6i-csi/sun6i_csi_capture.c       | 168 +++++++++++++-----
> >  .../sunxi/sun6i-mipi-csi2/sun6i_mipi_csi2.c   | 107 ++++++-----
> >  .../sunxi/sun6i-mipi-csi2/sun6i_mipi_csi2.h   |   2 -
> >  .../sun8i_a83t_mipi_csi2.c                    | 113 ++++++------
> >  .../sun8i_a83t_mipi_csi2.h                    |   2 -
> >  drivers/media/v4l2-core/v4l2-common.c         |  12 +-
> >  .../media/sunxi/sun6i-isp/sun6i_isp_capture.c |  47 ++++-
> >  .../media/sunxi/sun6i-isp/sun6i_isp_params.c  |  37 +++-
> >  .../media/sunxi/sun6i-isp/sun6i_isp_params.h  |   4 +-
> >  .../media/sunxi/sun6i-isp/sun6i_isp_proc.c    | 117 ++++++------
> >  .../media/sunxi/sun6i-isp/sun6i_isp_proc.h    |   7 -
> >  13 files changed, 437 insertions(+), 341 deletions(-)
> 
> -- 
> Regards,
> 
> Laurent Pinchart

-- 
Paul Kocialkowski,

Independent contractor - sys-base - https://www.sys-base.io/
Free software developer - https://www.paulk.fr/

Expert in multimedia, graphics and embedded hardware support with Linux.